using DressAtelierContracts.BindingModels;
using DressAtelierContracts.SearchModels;
using DressAtelierContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.BusinessLogicContracts
{
    public interface IDressLogic
    {
        List<DressViewModel>? ReadList(DressSearchModel? model);
        DressViewModel? ReadElement(DressSearchModel model);

        bool Create(DressBindingModel model);
        bool Update(DressBindingModel model);
        bool Delete(DressBindingModel model);
    }
}
